NX Open C++ Reference Guide
|
Represents a @link Features::WrapGeometry Features::WrapGeometry@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateWrapGeometryBuilder Features::FeatureCollection::CreateWrapGeometryBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CloseGapType { CloseGapTypeSharp, CloseGapTypeBeveled, CloseGapTypeNoOffset } |
Represents the close gap type. More... | |
Public Member Functions | |
NXOpen::Expression * | AddOffset () |
Returns the Additional offset. | |
bool | Associative () |
Returns the Remove parms switch Created in NX6.0.0. | |
NXOpen::Features::WrapGeometryBuilder::CloseGapType | CloseGaps () |
Returns the Method used to close the gaps after offset of the wrap Created in NX6.0.0. | |
double | DistTol () |
Returns the Distance tolerance used to facet the solids. | |
NXOpen::SelectDisplayableObjectList * | Geometry () |
Returns the geometry to be wrapped (solid, sheet, curve, point) Created in NX6.0.0. | |
bool | IsInterpart () |
Returns the Setting that determines if this feature have interpart references Created in NX6.0.0. | |
NXOpen::PlaneList * | PlanesList () |
Returns the Planes to split the geometry, tightens the wrap along this plane Created in NX6.0.0. | |
void | SetAssociative (bool associative) |
Sets the Remove parms switch Created in NX6.0.0. | |
void | SetCloseGaps (NXOpen::Features::WrapGeometryBuilder::CloseGapType closeGaps) |
Sets the Method used to close the gaps after offset of the wrap Created in NX6.0.0. | |
void | SetDistTol (double distTol) |
Sets the Distance tolerance used to facet the solids. | |
void | SetInterpart (bool isInterpart) |
Sets the Setting that determines if this feature have interpart references Created in NX6.0.0. | |
NXOpen::Expression * | SplitOffset () |
Returns the Offset applied to both sides of the splitting planes. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::WrapGeometry Features::WrapGeometry@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateWrapGeometryBuilder Features::FeatureCollection::CreateWrapGeometryBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AddOffset.Value |
0 (millimeters part), 0 (inches part) |
Associative |
1 |
CloseGaps |
Sharp |
DistTol |
2.54 |
IsInterpart |
0 |
SplitOffset.Value |
0 (millimeters part), 0 (inches part) |
Created in NX6.0.0.
NXOpen::Expression* NXOpen::Features::WrapGeometryBuilder::AddOffset | ( | ) |
Returns the Additional offset.
Will expand the wrap.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::WrapGeometryBuilder::Associative | ( | ) |
Returns the Remove parms switch
Created in NX6.0.0.
License requirements : None
NXOpen::Features::WrapGeometryBuilder::CloseGapType NXOpen::Features::WrapGeometryBuilder::CloseGaps | ( | ) |
Returns the Method used to close the gaps after offset of the wrap
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::WrapGeometryBuilder::DistTol | ( | ) |
Returns the Distance tolerance used to facet the solids.
Also used for default offset calculation.
Created in NX6.0.0.
License requirements : None
NXOpen::SelectDisplayableObjectList* NXOpen::Features::WrapGeometryBuilder::Geometry | ( | ) |
Returns the geometry to be wrapped (solid, sheet, curve, point)
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::WrapGeometryBuilder::IsInterpart | ( | ) |
Returns the Setting that determines if this feature have interpart references
Created in NX6.0.0.
License requirements : None
NXOpen::PlaneList* NXOpen::Features::WrapGeometryBuilder::PlanesList | ( | ) |
Returns the Planes to split the geometry, tightens the wrap along this plane
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::WrapGeometryBuilder::SetAssociative | ( | bool | associative | ) |
Sets the Remove parms switch
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
associative | associative |
void NXOpen::Features::WrapGeometryBuilder::SetCloseGaps | ( | NXOpen::Features::WrapGeometryBuilder::CloseGapType | closeGaps | ) |
Sets the Method used to close the gaps after offset of the wrap
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
closeGaps | closegaps |
void NXOpen::Features::WrapGeometryBuilder::SetDistTol | ( | double | distTol | ) |
Sets the Distance tolerance used to facet the solids.
Also used for default offset calculation.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
distTol | disttol |
void NXOpen::Features::WrapGeometryBuilder::SetInterpart | ( | bool | isInterpart | ) |
Sets the Setting that determines if this feature have interpart references
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isInterpart | isinterpart |
NXOpen::Expression* NXOpen::Features::WrapGeometryBuilder::SplitOffset | ( | ) |
Returns the Offset applied to both sides of the splitting planes.
Created in NX6.0.0.
License requirements : None